/**
 * Индивидуальные стили для сайта клиента, не для Теста. На Тесте остается пустым.
 */

.form-checkbox {
    display: flex;
    flex-wrap: wrap
}

.form-checkbox label {
    display: block;
    position: relative;
    padding-left: 32px;
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    color: var(--primary);
    cursor: pointer
}

.form-checkbox label a {
    color: #ef2222;
    text-decoration: underline
}

.form-checkbox label::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border-radius: 4px;
    border: 2px solid var(--border);
    background-color: transparent
}

.form-checkbox input {
    display: none
}

.form-checkbox input:checked+label::before {
    background-color: var(--secondary);
    background-image: url(../img/icons/checkmark-outline.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 16px;
    border-color: var(--secondary)
}






.entry__row.auto_info .form-group,
.entry__row.auto_info .form-group:nth-child(1),
.entry__row.auto_info .form-group:nth-child(2),
.entry__row.auto_info .form-group:nth-child(3),
.entry__row.auto_info .form-group:nth-child(4),
.entry__row.auto_info .form-group:nth-child(5),
.entry__row.auto_info .form-group:nth-child(6) {
    width: calc(100% / 12 * 3 - 20px);
}

.entry__row.auto_info .form-group.full {
    width: 100%;
}

@media (max-width:1023px) {
    .entry__row.auto_info .form-group,
    .entry__row.auto_info .form-group:nth-child(1),
    .entry__row.auto_info .form-group:nth-child(2),
    .entry__row.auto_info .form-group:nth-child(3),
    .entry__row.auto_info .form-group:nth-child(4),
    .entry__row.auto_info .form-group:nth-child(5),
    .entry__row.auto_info .form-group:nth-child(6) {
        width: calc(100% / 12 * 6 - 20px);
    }
}

@media (max-width:575px) {
    .entry__row.auto_info .form-group,
    .entry__row.auto_info .form-group:nth-child(1),
    .entry__row.auto_info .form-group:nth-child(2),
    .entry__row.auto_info .form-group:nth-child(3),
    .entry__row.auto_info .form-group:nth-child(4),
    .entry__row.auto_info .form-group:nth-child(5),
    .entry__row.auto_info .form-group:nth-child(6) {
        width: 100%;
    }
}

.dark .tracking input {
    color:#000;
}



.msgs__tg {
    border: 1px solid rgba(174, 179, 179, .3);
}

.msgs__tg:hover {
    border-color: #0088cc;
}

.msgs__tg svg {
    fill: #0088cc;
}

.t-social__link {
	width: 48px;
    height: 48px;
}
.t-social__link svg {
    width: 24px;
    height: 24px;
}
.footerbar .t-social__link {
	width: 60px;
    height: 60px;
}
.footerbar .t-social__link svg {
    width: 28px;
    height: 28px;
}

.msgs__max {
    border: 1px solid rgba(174, 179, 179, .3);
}

.msgs__max:hover {
    border-color: #0000FF;
}
.msgs__max svg {
    width: 18px;
    height: 18px;
	margin-left: 3px;
}
.msgs__max {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    padding-right: 3px;
    border: 1px solid rgba(174, 179, 179, .3);
    border-radius: 50%;
    transition: .3s linear;
}
.btn--max {
	border-color: #5533EE;
	background-color: #5533EE;
}
.btn--max:hover {
	color: #5533EE;
	border-color: #5533EE;
}

/**
 * Новые отзывы
 */

.review-widgets {
    align-items: stretch;
    grid-template-columns: repeat(2, minmax(10px, 1fr));
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    display: grid;
    width: 100%;
	margin: 32px 0 32px;
}

.review-widgets__item {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	gap: 20px;
	padding: 33px 30px;
	border: 1px solid rgba(34,51,93,.1);
	border-radius: 8px;
	background: #f5f8ff;
}

.review-widgets__img {
	-webkit-box-flex: 0;
	-ms-flex: none;
	flex: none;
	width: auto;
	height: 38px;
	padding-right: 10px;
}

.review-widgets__img img {
	width: 100%;
	height: 100%;
	-o-object-fit: contain;
	object-fit: contain;
	-o-object-position: left center;
	object-position: left center;
}

.review-widgets__average {
	font-family: Roboto,sans-serif;
	font-weight: 500;
	font-size: 40px;
	letter-spacing: -.05em;
	color: #22335d;
}

.review-widgets__right {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	gap: 8px;
}

.review-widgets__qnt {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	gap: 5px 10px;
}

.review-widgets__qnt span {
	font-family: Roboto,sans-serif;
	font-weight: 400;
	font-size: 14px;
	letter-spacing: -.03em;
	color: rgba(34,51,93,.6);
}

.review-widgets__rating {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	gap: 2px;
}

.review-widgets__rating svg {
	width: 16px;
	height: 16px;
}

.review-widgets__rating svg.star-full {
	fill: #368bd8;
}

.review-widgets__rating svg.star-empty {
	fill: #d3d3d3;
}

@media screen and (max-width: 1749px) {
    .review-widgets__img {
        max-width: 110px;
        height: 30px;
    }
}

@media screen and (min-width: 768px) and (max-width: 991px) {
    .review-widgets__item {
        flex-direction: column;
    }
}

.social-reviews {
    align-items: stretch;
    grid-template-columns: repeat(2, minmax(10px, 1fr));
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    display: grid;
    width: 100%;
	margin: 32px 0 32px;
}

.social-reviews__item {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	align-items: center;
	gap: 20px;
	padding: 20px 30px;
	border: 1px solid rgba(34,51,93,.1);
	border-radius: 8px;
	background: #fff;
}

.social-reviews__item img {
	width: 40px;
	height: 40px;
	-o-object-fit: contain;
	object-fit: contain;
}

.social-reviews__item span {
	font-family: Onest,sans-serif;
	font-weight: 600;
	font-size: 18px;
	line-height: 1.3;
	color: #22335d;
	-webkit-transition: .3s linear;
	-o-transition: .3s linear;
	transition: .3s linear;
}

.social-reviews__item svg {
	width: 14px;
	height: 14px;
	margin-left: auto;
	fill: #22335d;
}

.social-reviews__item:hover span {
	color: #1c62c8;
}

.social-reviews__item:hover svg {
	fill: #1c62c8;
}

@media screen and (max-width: 767px) {
    .review-widgets {
        grid-template-columns: repeat(1, minmax(10px, 1fr));
    }
    .social-reviews {
        grid-template-columns: repeat(1, minmax(10px, 1fr));
    }
}
@media screen and (max-width: 767px) {
    .carousel .slick-arrow {
        bottom: -65px;
    }
}

/**
 * Логотип
 */

@media screen and (max-width: 1199px) {
    .top__row {
        display: flex;
        flex-direction: row-reverse;
    }
    .top__center {
        justify-content: flex-start;
        margin-left: 10px;
    }
    .top .logo {
        display: flex;
        width: 120px;
    }
    .top__right {
        display: none;
    }
}
@media screen and (max-width: 479px) {
    .top .logo {
        width: 100px;
    }
}

.form-group .radio label {
    display: flex;
    gap:10px;
}

.form-group .radio input[type=radio] {
    width: 20px;
    height: 20px;
    accent-color: var(--secondary);
}

.modal__btns.block {
    display: block;
}

.catalog-grid .card-row__img {
    width: 100%;
    @media (width <= 1739px) {
        height: 214px;
    }
}

.catalog-grid .card-row__desc {
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 30px 20px;
    gap: 15px;
}

.catalog-grid .card-row__car,
.catalog-grid .card-row__info,
.catalog-grid .card-row__price {
    width: 100%;
    padding-right: 0;
    padding-left: 0;
}

@media (width <= 768px) {
    .hero__title {font-size: 21px;}
    .hero__text {font-size: 10px;}
}

.modalAction {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, .7);
    z-index: 99999;
}
.modalAction__wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 30px;
}
.modalAction__wrapper .close-btn {
    top: 0;
    right: 0;
}
@media (width <= 1024px) {
    .modalAction__wrapper {
        width: 100%;
        padding: 10px;
    }
    .modalAction__wrapper a {
        display: flex;
        justify-content: center;
    }
    .modalAction__wrapper img {
        width: 90%;
        height: auto;
    }
}




.card__rating {
    width: auto;
    padding:0 12px;
}




.promo_grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px; 
}

@media (max-width: 1024px) and (min-width: 769px) {
  .promo_grid {
    grid-template-columns: repeat(2, 1fr); /* 2 плитки в ряд */
  }
}

/* Адаптив для мобильных устройств и планшетов */
@media (max-width: 768px) {
  .promo_grid {
    /* 1 колонка на всю ширину */
    grid-template-columns: 1fr; 
  }
}

.promo_grid .item {
    border-radius: 31px;
    overflow: hidden;
    background: var(--bg-box);
}

.promo_grid img {
    width: 100%;
    height: auto;
    display: block;
}

.promo_grid span {
    display: block;
    text-align: center;
    padding:10px;
    color: #fff;
}

.promo_grid .item:hover span {
    color: var(--secondary);
}


@media screen and (max-width: 767px) {
    .advant__grid {
        display: block;
    }
    .advant__area {
        margin-bottom: 10px;
    }
}


@media screen and (max-width: 575px) {
    .advant__desc {
        display: block;
        padding-top: 5px;
    }
}



.hero {
    padding: 120px 100px 120px;
}

@media screen and (max-width: 1739px) {
    .hero {
        padding: 120px 60px 100px;
    }
}

@media screen and (max-width: 767px) {
    .hero {
        padding: 0;
        border-radius: 0;
    }
}


.hero__title {
    color:#fff;
    text-shadow: 0 0 2px #000;
    background: rgba(41, 41, 41, .7);
    max-width: 870px;
}

.hero__title span {
    text-shadow: 0 0 2px #000;
}

.hero__text {
    color:#fff;
    text-shadow: 0 0 1px #000;
    
    background: rgba(41, 41, 41, .7);
}

.hero__title,
.hero__text {
    padding:20px;
    border-radius: 20px;
}

@media screen and (max-width: 767px) {
    .hero__title,
    .hero__text {
        color:#fff;
        text-shadow: none;
        padding:0;
        background: none;
    }

}

.hero .form-range .irs--flat .irs-from,
.hero .form-range .irs--flat .irs-to {
    color: #fff;
}

/**
 * Кнопки и новые универсальные стили
 */

h2.section-title.section-title--inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 20px 30px;
    font-size: 45px;
}

.mb-0 {
    margin-bottom: 0;
}

.mt-20 {
    margin-top: 20px;
}

.mt-40 {
    margin-top: 40px;
}

.d-inline-flex {
    display: inline-flex;
}

.d-flex {
    display: flex;
}

.justify-center {
    justify-content: center;
}

.btn-lg {
    height: 64px;
}

@media screen and (max-width: 1739px) {
    .btn-lg {
        height: 58px;
    }
}







.form-group__double.dates {
    gap: 5px;
    border: 0
}

.form-group__double.dates::before,.form-group__double.dates::after {
    display: none;
    content: ""
}

.form-group__double.dates .ym_from,.form-group__double.dates .ym_to {
    width: 50%;
    display: flex;
    border: 1px solid var(--border);
    border-radius: 10px;
    overflow: hidden
}

.form-group__double.dates .ym_from span:nth-child(4),.form-group__double.dates .ym_to span:nth-child(4) {
    max-width: 60px
}

.form-group__double.dates .ym_from .select2-container--default:nth-of-type(2) .select2-selection--single {
    border-radius: 0
}

.form-group__double.dates .select2,.form-group__double.dates .select2-container--default .select2-selection--multiple .select2-selection__rendered,.form-group__double.dates .select2-container--default .select2-selection--single .select2-selection__rendered,.form-group__double.dates .select2-selection {
    padding: 0
}

.form-group__double.dates .select2-container--default .select2-selection--multiple .select2-selection__rendered,.form-group__double.dates .select2-container--default .select2-selection--single .select2-selection__rendered {
    width: 100%;
    text-indent: 10px
}

.form-group__double.dates .select2-selection__arrow {
    display: none
}

.select2-container--default .select2-dropdown {
    min-width: 85px
}

.dark .select2-container--default.select2-container--disabled .select2-selection--single {
    background: var(--bg-box)
}

.form-group__double .select2-container--default:nth-of-type(2) .select2-selection--multiple,.form-group__double .select2-container--default:nth-of-type(2) .select2-selection--single {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0
}



.carousel .js-list-one-auto .card-row__img {
    position: relative
}

.carousel .js-list-one-auto .card-row__img .rating {
    position: absolute;
    z-index: 1;
    top: 10px;
    left: 10px
}


.carousel-four .card-row {
    display: flex
}

.carousel-four .card-row__desc {
    position: relative;
    height: calc(100% - 260px)
}

@media screen and (max-width: 1739px) {
    .carousel-four .card-row__desc {
        height:calc(100% - 214px)
    }
}

.carousel-four .card-row__car_info {
    flex-grow: 1
}

.card-row__buttons {
    display: flex;
    gap: 10px
}

.card-row__buttons>*:first-child {
    flex-grow: 1
}

.card-row__buttons .btn {
    padding: 14px
}

.card-row__buttons .wa {
    display: flex;
    padding: 14px;
    align-items: center;
    justify-content: center;
    border: 1px solid green;
    border-radius: 60px;
    transition: .3s linear
}

.card-row__buttons .max {
    display: flex;
    padding: 14px;
    align-items: center;
    justify-content: center;
    border: 1px solid #8f3fff;
    border-radius: 60px;
    transition: .3s linear
}

.card-row__buttons .wa svg {
    width: 24px;
    height: 24px;
    fill: green
}

.card-row__buttons .max svg {
    width: 24px;
    height: 24px;
    fill: #8f3fff
}

.card-row__buttons .wa:hover {
    background: green;
    transition: .3s linear
}

.card-row__buttons .max:hover {
    background: #8f3fff;
    transition: .3s linear
}

.card-row__buttons .wa:hover svg,.card-row__buttons .max:hover svg {
    fill: #fff
}

.card__car {
    flex-wrap: nowrap;
    min-height: 54px
}

.card-row__buttons .msgs__tg {
    display: flex;
    padding: 14px;
    align-items: center;
    justify-content: center;
    border: 1px solid #259dd9;
    border-radius: 60px;
    width: auto;
    height: auto
}

.card-row__buttons .msgs__tg svg {
    width: 24px;
    height: 24px;
    fill: #259dd9
}

.card-row__buttons .msgs__tg:hover {
    background: #259dd9
}

.card-row__buttons .msgs__tg:hover svg {
    fill: #fff
}

@media screen and (max-width: 1739px) {
    .card-row__buttons {
        gap:5px
    }

    .card-row__buttons .btn {
        height: 42px;
        padding: 0 10px;
        border-radius: 30px
    }

    .card-row__buttons .msgs__tg,.card-row__buttons .wa,.card-row__buttons .max {
        padding: 11px
    }

    .card-row__buttons .msgs__tg svg,.card-row__buttons .wa svg,.card-row__buttons .max svg {
        width: 18px;
        height: 18px
    }
}


@media screen and (min-width: 768px) {
    .idx_cars_sliders .box.brands {
        margin-bottom:0
    }

    .idx_cars_sliders .catalog {
        padding-top: 120px
    }
}

@media screen and (min-width: 1739px) {
    .idx_cars_sliders .catalog {
        padding-top: 160px;
    }
}




